Subject: Re: Reinstall: Choice: DON'T install X - quirks in postinstall
From: "Gerrit P. Haase" <[email-masked]>
To: Hannu E K Nevalainen <[email-masked]>
Cc: ML Cygwin <[email-masked]>
Date: Sat, 06 Nov 2004 16:15:56 +0100

Hannu E K Nevalainen wrote:

> Gerrit P. Haase wrote:
>>Hannu E K Nevalainen wrote:
>>
>>>I chose to NOT install the X category of software (right now),
>>>thus all X-requiring stuff should have been deselected.
>>
>>This is a feature that is not available in setup.exe.
> 
> 
>  Hmm... I've been reading very much of setup-related postings and this is
> the first time that THIS thing has been spelled out.
> 
>  Therefore I have doubts, is this REALLY true? I can see the effects beeing
> a tad in this direction:
>  X packages didn't get installed, but the packages (below) that requires
> cygX11-6.dll did get installed - I had expected this to not happen.
> 
>  What DOES the requires line in the setup data file actually provide when it
> comes to functionality?

The opposite, if you select gtk2-x11 which requires X11 then X11 is 
selected additionally automatically by setup.exe.

> Googling seems to show up the *inverse* problem; i.e. *not* running the
> postinstall scripts when actually asked to:
> 
> http://www.google.com/search?q=site:cygwin.com+inurl:2004+postinstall+gtk2-x
> 11.sh&hl=en&lr=&c2coff=1&start=0&sa=N

You also saw my reply:
http://www.cygwin.com/ml/cygwin-apps/2004-07/msg00030.html

> This OTOH doesn't seem to match my problem at all;
> http://www.google.com/search?q=site:cygwin.com+inurl:2004+postinstall+post-t
> exmf.sh&hl=en&lr=&c2coff=1&start=10&sa=N

The problem is: setup selects automatically to install packages which
are required by another package, but it doesn't handle the other way
round, if you manually deselct an automatically selected package it will
not deselect other packages which are requiring the manually deselected
package.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/